<?php get_header(); ?>
<?php $eskimo_author_page_layout = esc_attr(get_theme_mod('eskimo_author_page_layout', '2column')); ?>
<?php $eskimo_author_desc = get_the_author_meta('description'); ?>
<div class="eskimo-page-title eskimo-author-title">
    <h1>
        <?php echo get_avatar( get_the_author_meta( 'ID' ), 100 ); ?>
        <span><small><?php esc_html_e( 'All Posts By', 'eskimo' ); ?></small> <?php the_author(); ?></span>
    </h1>
    <?php if (!empty($eskimo_author_desc)) { ?>
    <p class="eskimo-page-subtitle"><?php echo stripslashes(esc_html($eskimo_author_desc)); ?></p>
    <?php } ?>
</div>
<?php if ($eskimo_author_page_layout == 'fullwidth') { ?>
<?php while(have_posts()) : the_post(); ?>
<?php get_template_part( 'templates/post', 'template'); ?>
<?php endwhile; ?>
<?php } elseif ($eskimo_author_page_layout == '3column') { ?>
<div class="eskimo-masonry-grid small-masonry">
    <div class="eskimo-three-columns" data-columns>
        <?php while(have_posts()) : the_post(); ?>
        <?php get_template_part( 'templates/xsmasonry', 'template'); ?>
        <?php endwhile; ?>
    </div>
</div>
<?php } else { ?>
<div class="eskimo-masonry-grid">
    <div class="eskimo-two-columns" data-columns>
        <?php while(have_posts()) : the_post(); ?>
        <?php get_template_part( 'templates/masonry', 'template'); ?>
        <?php endwhile; ?>
    </div>
</div>
<?php } ?>
<?php if ( (get_next_posts_link()) || (get_previous_posts_link())) : ?>
<div class="eskimo-pager">
    <?php eskimo_pagination(); ?>
</div>
<div class="clearfix"></div>    
<?php endif; ?>
<?php get_footer(); ?>