<?php
/* ---------------------------------------------------------
Config
----------------------------------------------------------- */

$kirki_prefix = "eskimo_";

Kirki::add_config( $kirki_prefix . 'theme_config_id', array(
    'capability'    => 'edit_theme_options',
    'option_type'   => 'theme_mod'
));

/* ---------------------------------------------------------
Panel & Sections
----------------------------------------------------------- */

Kirki::add_panel( $kirki_prefix . 'theme_settings', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Theme Settings', 'eskimo' )
));

Kirki::add_section( $kirki_prefix . 'general', array(
    'title'     => esc_html__( 'General', 'eskimo' ),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 1,
));

Kirki::add_section( $kirki_prefix . 'colors', array(
    'title'     => esc_html__( 'Backgrounds & Colors', 'eskimo' ),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 2,
));

Kirki::add_section( $kirki_prefix . 'blog', array(
    'title'     => esc_html__( 'Blog', 'eskimo'),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 3,
));

Kirki::add_section( $kirki_prefix . 'singlepost', array(
    'title'     => esc_html__( 'Single Post', 'eskimo'),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 4,
));

Kirki::add_section( $kirki_prefix . 'typography', array(
    'title'     => esc_html__( 'Typography', 'eskimo'),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 5,
));

Kirki::add_section( $kirki_prefix . 'woocommerce', array(
    'title'     => esc_html__( 'Woocommerce', 'eskimo'),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 6,
));

Kirki::add_section( $kirki_prefix . 'footer', array(
    'title'     => esc_html__( 'Footer', 'eskimo'),
    'panel'     => $kirki_prefix . 'theme_settings',
    'priority'  => 7,
));

/* ---------------------------------------------------------
Fields
----------------------------------------------------------- */

/* Site Title */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'slider',
	'settings'    => $kirki_prefix . 'logo_width',
	'label'       => esc_html__( 'Logo Width', 'eskimo'),
    'description' => esc_html__( 'Maximum logo width in pixels.', 'eskimo'),
	'section'     => 'title_tagline',
	'default'     => 240,
	'choices'     => array(
		'min'  => 50,
		'max'  => 480,
		'step' => 1,
	),
	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '#eskimo-sidebar .eskimo-logo',
            'property' => 'max-width',
			'exclude' => 240,
			'units' => 'px'
		),
	)
));

/* General */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'reading_position',
	'label'       => esc_html__( 'Enable Reading Position Indicator', 'eskimo'),
	'section'     => $kirki_prefix . 'general',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'fullscreen_search',
	'label'       => esc_html__( 'Enable Full Screen Search', 'eskimo'),
	'section'     => $kirki_prefix . 'general',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'slider',
	'settings'    => $kirki_prefix . 'panel_width',
	'label'       => esc_html__( 'Sliding Panel Width', 'eskimo'),
    'description' => esc_html__( 'Maximum Sliding Panel width in pixels.', 'eskimo'),
	'section'     => $kirki_prefix . 'general',
	'default'     => 480,
    'choices'     => array(
		'min'  => 200,
		'max'  => 1200,
		'step' => 1,
	),
	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '.eskimo-panel',
            'property' => 'width',
			'exclude' => 480,
			'units' => 'px'
		),
	)
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'slider',
	'settings'    => $kirki_prefix . 'container_width',
	'label'       => esc_html__( 'Container Width', 'eskimo'),
    'description' => esc_html__( 'Maximum container width in pixels.', 'eskimo'),
	'section'     => $kirki_prefix . 'general',
	'default'     => 1140,
    'choices'     => array(
		'min'  => 700,
		'max'  => 1400,
		'step' => 1,
	),
	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '.container',
            'property' => 'max-width',
			'exclude' => 1140,
			'units' => 'px'
		),
	)
));

/* Backgrounds & Colors */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_1',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Skin', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'skin_color',
	'label'       => esc_html__( 'Main', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#51cbce',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'second_skin_color',
	'label'       => esc_html__( 'Secondary', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#34b5b8',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_2',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Links', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'link_color',
	'label'       => esc_html__( 'Default', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#51cbce',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'link_hover_color',
	'label'       => esc_html__( 'Default Hover', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#2ba9cd',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'dark_link_color',
	'label'       => esc_html__( 'Dark', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'dark_link_hover_color',
	'label'       => esc_html__( 'Dark Hover', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#222222',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_3',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Main Menu', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'menu_link_color',
	'label'       => esc_html__( 'Link Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'menu_icon_color',
	'label'       => esc_html__( 'Icon Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#dddddd',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'menu_link_hover_color',
	'label'       => esc_html__( 'Link Hover Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#51cbce',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'background',
	'settings'    => $kirki_prefix . 'menu_bg',
	'section'     => $kirki_prefix . 'colors',
	'default'     => array(
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	),
) );

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'social_icon_color',
	'label'       => esc_html__( 'Social Icon Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'social_icon_bg',
	'label'       => esc_html__( 'Social Icons Background Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#51cbce',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_4',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Main Container', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'background',
	'settings'    => $kirki_prefix . 'main_bg',
	'section'     => $kirki_prefix . 'colors',
	'default'     => array(
		'background-color'      => '#ffffff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'fixed',
	),
) );

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_5',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Footer', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'background',
	'settings'    => $kirki_prefix . 'footer_bg',
	'section'     => $kirki_prefix . 'colors',
	'default'     => array(
		'background-color'      => '#fafafa',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	),
) );

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_6',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Buttons', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'button_text_color',
	'label'       => esc_html__( 'Text', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'button_bg_color',
	'label'       => esc_html__( 'Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'button_hover_bg_color',
	'label'       => esc_html__( 'Background Hover', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#222222',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_7',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Page Title', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'page_title_bg',
	'label'       => esc_html__( 'Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'page_title_color',
	'label'       => esc_html__( 'Text', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_8',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Post Navigation', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'post_nav_bg',
	'label'       => esc_html__( 'Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'post_nav_color',
	'label'       => esc_html__( 'Text', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'custom',
	'settings'    => $kirki_prefix . 'title_9',
	'section'     => $kirki_prefix . 'colors',
	'default'     => '<h2>' . esc_html__( 'Other Elements', 'eskimo' ) . '</h2>'
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'card_bg_color',
	'label'       => esc_html__( 'Card Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'panel_bg_color',
	'label'       => esc_html__( 'Sliding Panel Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#ffffff',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'overlay_color',
	'label'       => esc_html__( 'Overlay Color', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => 'rgba(250, 250, 250, 0.9)',
    'choices'     => array(
		'alpha' => true,
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'color',
	'settings'    => $kirki_prefix . 'tag_bg_color',
	'label'       => esc_html__( 'Tag Background', 'eskimo'),
	'section'     => $kirki_prefix . 'colors',
	'default'     => '#333333',
));

/* Blog */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'masonry_thumbnail',
	'label'       => esc_html__( 'Masonry Thumbnail Size', 'eskimo'),
    'description' => esc_html__( 'Default Thumbnail Size for Masonry Layout', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => 'eskimo-thumbnail',
    'choices'     => array(
		'eskimo-slide' => esc_html__( '1200x600 px', 'eskimo' ),
        'eskimo-thumbnail' => esc_html__( '900x600 px', 'eskimo' ),
        'full' => esc_html__( 'Full', 'eskimo' ),
        'large' => esc_html__( 'Large', 'eskimo' ),
        'medium' => esc_html__( 'Medium', 'eskimo' )
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'author_page_layout',
	'label'       => esc_html__( 'Author page layout', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => '2column',
    'choices'     => array(
		'fullwidth' => esc_html__( 'Fullwidth', 'eskimo'),
		'2column' => esc_html__( '2 Column', 'eskimo'),
        '3column' => esc_html__( '3 Column', 'eskimo')
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'archive_page_layout',
	'label'       => esc_html__( 'Archive page layout', 'eskimo'),
    'description' => esc_html__( 'Category, archive and search pages', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => '2column',
    'choices'     => array(
		'fullwidth' => esc_html__( 'Fullwidth', 'eskimo'),
		'2column' => esc_html__( '2 Column', 'eskimo'),
        '3column' => esc_html__( '3 Column', 'eskimo')
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'search_exclude_pages',
	'label'       => esc_html__( 'Exclude pages from blog search results', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'blog_masonry_at_most',
	'label'       => esc_html__( 'Blog 2 Column Page Template', 'eskimo'),
    'description' => esc_html__( 'Maximum number of the posts.', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => 8,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'blog_masonry_3_at_most',
	'label'       => esc_html__( 'Blog 3 Column Page Template', 'eskimo'),
    'description' => esc_html__( 'Maximum number of the posts.', 'eskimo'),
	'section'     => $kirki_prefix . 'blog',
	'default'     => 12,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

/* Single Post */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'remove_featured_img',
	'label'       => esc_html__( 'Use featured images for only post thumbnails', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'enable_sharing',
	'label'       => esc_html__( 'Social Media Sharing Buttons', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
    'type'     => 'multicheck',
		'settings' => $kirki_prefix . 'selected_share',
		'label'    => esc_html__( 'Available Social Media Buttons', 'eskimo'),
		'section'  => $kirki_prefix . 'singlepost',
		'default'  => array( 'email','facebook', 'twitter', 'linkedin', 'tumblr', 'reddit', 'pinterest' ),
		'choices'  => array(
            'email' => esc_html__( 'Email', 'eskimo' ),
			'facebook' => esc_html__( 'Facebook', 'eskimo' ),
			'twitter' => esc_html__( 'Twitter', 'eskimo' ),
            'linkedin' => esc_html__( 'Linkedin', 'eskimo' ),
			'tumblr' => esc_html__( 'Tumblr', 'eskimo' ),
            'reddit' => esc_html__( 'Reddit', 'eskimo' ),
            'vk' => esc_html__( 'VK', 'eskimo' ),
			'pinterest' => esc_html__( 'Pinterest', 'eskimo' ),
			'whatsapp' => esc_html__( 'WhatsApp', 'eskimo' ),
            'pocket' => esc_html__( 'Pocket', 'eskimo' ),
            'hackernews' => esc_html__( 'Hackernews', 'eskimo' ),
			'xing' => esc_html__( 'Xing', 'eskimo' )
		),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'post_nav',
	'label'       => esc_html__( 'Next-Previous Post Navigation', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'related_posts',
	'label'       => esc_html__( 'Related Posts', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'blog_related_at_most',
	'label'       => esc_html__( 'Maximum number of the related posts', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 5,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'radio',
	'settings'    => $kirki_prefix . 'related_by',
    'label'       => esc_html__( 'Display related posts by', 'eskimo'),
	'section'     => $kirki_prefix . 'singlepost',
	'default'     => 'category',
	'choices'     => array(
		'category'   => esc_attr__( 'Categories', 'eskimo' ),
		'post_tag' => esc_attr__( 'Tags', 'eskimo' )
	),
));

/* Typography */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'default_font_size',
	'label'       => esc_html__( 'Default Browser Font Size (px)', 'eskimo'),
    'description' => esc_html__( 'All font-sizes in the theme will scaled according to this value.', 'eskimo'),
	'section'     => $kirki_prefix . 'typography',
	'default'     => 16,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'disable_external_script',
	'label'       => esc_html__( 'Stop Using Google CDN', 'eskimo'),
    'description' => esc_html__( 'The default font of the theme (Merriweather) is loaded via Google CDN.', 'eskimo'),
	'section'     => $kirki_prefix . 'typography',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'typography',
	'settings'    => $kirki_prefix . 'body_fonts',
	'label'       => esc_html__( 'Body', 'eskimo' ),
	'section'     => $kirki_prefix . 'typography',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => 'regular',
        'subsets'        => array( 'latin-ext' ),
		'line-height'    => '1.88',
		'letter-spacing' => '0',
		'color'          => '#444444'
	),
	'output' => array(
		array(
			'element' => 'body',
		),
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'typography',
	'settings'    => $kirki_prefix . 'heading_fonts',
	'label'       => esc_html__( 'Headings', 'eskimo' ),
	'section'     => $kirki_prefix . 'typography',
	'default'     => array(
		'font-family'    => 'Merriweather Sans',
		'variant'        => '700',
        'subsets'        => array( 'latin-ext' ),
		'line-height'    => '1.3',
		'letter-spacing' => '0',
		'color'          => '#333333'
	),
	'output' => array(
		array(
			'element' => 'h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6,.card-title',
		),
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'typography',
	'settings'    => $kirki_prefix . 'subtitle_fonts',
	'label'       => esc_html__( 'Menus, Buttons, Subtitles etc.', 'eskimo' ),
	'section'     => $kirki_prefix . 'typography',
	'default'     => array(
		'font-family'    => 'Merriweather Sans',
        'subsets'        => array( 'latin-ext' )
	),
	'output' => array(
		array(
            'element' => '.card-footer,.card-horizontal-meta,.card-date,.badge,.card-category,.eskimo-menu-ul,.eskimo-page-title-meta,#eskimo-sidebar .eskimo-logo-link,.btn,input,button,.eskimo_fn,.eskimo_comment_links,#eskimo-menu-toggle,span.onsale,.eskimo-out-of-stock,body.eskimo div.product .card p.price,body.eskimo div.product .card span.price,.nav-tabs,.woocommerce-MyAccount-navigation ul,.woocommerce-message,.button,.woocommerce-Message,.alert,.woocommerce table.shop_table th,.eskimo-post-nav-wrapper,#eskimo-share-buttons,.progress,.mp-accordion-title,.eskimo-post-list-title,span.eskimo-post-price,.eskimo-carousel-view-more,.eskimo-slider-date,.woocommerce div.product .out-of-stock,.woocommerce div.product .stock,.eskimo_comments_rss,.eskimo-author-subtitle',
		),
	),
));

/* Woocommerce */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'shop_layout',
	'label'       => esc_html__( 'Product layout', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 'twocolumns',
    'choices'     => array(
		'twocolumns' => esc_html__( 'Two Columns', 'eskimo'),
		'threecolumns' => esc_html__( 'Three Columns', 'eskimo')
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'product_thumbnail',
	'label'       => esc_html__( 'Product Thumbnail Size', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 'large',
    'choices'     => array(
		'large' => esc_html__( 'Large', 'eskimo'),
		'full' => esc_html__( 'Full', 'eskimo'),
        'medium' => esc_html__( 'Medium', 'eskimo'),
        'eskimo-thumbnail' => esc_html__( 'Eskimo Thumbnail', 'eskimo'),
        'shop_single' => esc_html__( 'Default', 'eskimo')
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'select',
	'settings'    => $kirki_prefix . 'product_image',
	'label'       => esc_html__( 'Single Product Image Size', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 'full',
    'choices'     => array(
		'large' => esc_html__( 'Large', 'eskimo'),
		'full' => esc_html__( 'Full', 'eskimo'),
        'medium' => esc_html__( 'Medium', 'eskimo'),
        'shop_single' => esc_html__( 'Default', 'eskimo')
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'slider',
	'settings'    => $kirki_prefix . 'product_img_size',
	'label'       => esc_html__( 'Single Product Image Column Size in Percents', 'eskimo' ),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 50,
	'choices'     => array(
		'min'  => '30',
		'max'  => '70',
		'step' => '1',
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'image',
	'settings'    => $kirki_prefix . 'woo_placeholder',
	'label'       => esc_html__( 'Placeholder Image', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => get_template_directory_uri() . '/images/woocommerce-placeholder.png',
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'remove_related',
	'label'       => esc_html__( 'Related Products', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 1
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'related_at_most',
	'label'       => esc_html__( 'Number of related products', 'eskimo'),
    'description' => esc_html__( 'Maximum number of related products.', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 3,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'toggle',
	'settings'    => $kirki_prefix . 'enable_product_sharing',
	'label'       => esc_html__( 'Social Media Sharing Buttons', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 0
));

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
	'type'        => 'number',
	'settings'    => $kirki_prefix . 'shop_at_most',
	'label'       => esc_html__( 'Shop page show at most', 'eskimo'),
    'description' => esc_html__( 'Maximum number of the products.', 'eskimo'),
	'section'     => $kirki_prefix . 'woocommerce',
	'default'     => 8,
	'choices'     => array(
		'min'  => 1,
		'max'  => 99,
		'step' => 1,
	),
));

/* Footer */

Kirki::add_field( $kirki_prefix . 'theme_config_id', array(
    'type'        => 'textarea',
    'settings'     => $kirki_prefix . 'footermessage',
	'label'       => esc_html__( 'Credits', 'eskimo'),
	'section'     => $kirki_prefix . 'footer',
    'default'     => '',
));
?>