<?php
/* ---------------------------------------------------------
Page Title
----------------------------------------------------------- */

function eskimo_page_title_cmb2 ( $meta_boxes ) {
    $prefix = 'eskimo_cmb2'; // Prefix for all fields
    $meta_boxes['eskimo_pagetitle'] = array(
        'id' => 'eskimo_pagetitle',
        'title' => esc_html__( 'Show Title', 'eskimo'),
        'object_types' => array('page','post'), // post type
        'context' => 'side', // normal or side
        'priority' => 'high', // default or high
        'show_names' => false, // Show field names on the left
        'fields' => array(
            array(
                'name'    => esc_html__( 'Show title', 'eskimo'),
                'desc'    => '',
                'id'      => $prefix . '_pagetitle',
                'type'    => 'radio_inline',
                'options' => array(
                    'yes' => esc_html__( 'Yes', 'eskimo' ),
                    'no'   => esc_html__( 'No', 'eskimo' ),
                ),
                'default' => 'yes'
            )
        ),
    );

    return $meta_boxes;
}
add_filter( 'cmb2_meta_boxes', 'eskimo_page_title_cmb2' );

/* ---------------------------------------------------------
Featured Image
----------------------------------------------------------- */

function eskimo_featured_cmb2 ( $meta_boxes ) {
    $prefix = 'eskimo_cmb2'; // Prefix for all fields
    $meta_boxes['eskimo_featured'] = array(
        'id' => 'eskimo_featured',
        'title' => esc_html__( 'Show Featured Image', 'eskimo'),
        'object_types' => array('page','post'), // post type
        'context' => 'side', // normal or side
        'priority' => 'high', // default or high
        'show_names' => false, // Show field names on the left
        'fields' => array(
            array(
                'name'    => esc_html__( 'Show Featured Image', 'eskimo'),
                'desc'    => '',
                'id'      => $prefix . '_featured',
                'type'    => 'radio_inline',
                'options' => array(
                    'yes' => esc_html__( 'Yes', 'eskimo' ),
                    'no'   => esc_html__( 'No', 'eskimo' ),
                ),
                'default' => 'yes'
            )
        ),
    );

    return $meta_boxes;
}
add_filter( 'cmb2_meta_boxes', 'eskimo_featured_cmb2' );

/* ---------------------------------------------------------
Subtitle
----------------------------------------------------------- */

function eskimo_subtitle_cmb2 ( $meta_boxes ) {
    $prefix = 'eskimo_cmb2'; // Prefix for all fields
    $meta_boxes['eskimo_subtitle'] = array(
        'id' => 'eskimo_subtitle',
        'title' => esc_html__( 'Subtitle', 'eskimo'),
        'object_types' => array('page'), // post type
        'context' => 'side', // normal or side
        'priority' => 'high', // default or high
        'show_names' => false, // Show field names on the left
        'fields' => array(
            array(
                'name'    => esc_html__( 'Subtitle (Optional)', 'eskimo'),
                'desc'    => '',
                'id'      => $prefix . '_subtitle',
                'type'    => 'text'
            )
        ),
    );

    return $meta_boxes;
}
add_filter( 'cmb2_meta_boxes', 'eskimo_subtitle_cmb2' );
?>