<?php
class eskimosocial_Admin {
	private $key = 'eskimosocial_options';
	private $metabox_id = 'eskimosocial_option_metabox';
	protected $title = '';
	protected $options_page = '';
	public function __construct() {
		// Set our title
		$this->title = esc_html__( 'Social Icons', 'eskimo' );
        $this->menutitle = esc_html__( 'Social Icons', 'eskimo' );
	}

	public function hooks() {
		add_action( 'admin_init', array( $this, 'init' ) );
		add_action( 'admin_menu', array( $this, 'eskimo_add_social_page' ) );
		add_action( 'cmb2_init', array( $this, 'eskimo_add_social_page_metabox' ) );
	}

	public function init() {
		register_setting( $this->key, $this->key );
	}

	public function eskimo_add_social_page() {
		$this->options_page = add_theme_page( $this->title, $this->menutitle, 'manage_options', $this->key, array( $this, 'eskimo_admin_social_display' ), 'dashicons-twitter' );

		// Include CMB CSS in the head to avoid FOUT
		add_action( "admin_print_styles-{$this->options_page}", array( 'CMB2_hookup', 'enqueue_cmb_css' ) );
	}

	public function eskimo_admin_social_display() {
		?>
    <div class="wrap cmb2-options-page <?php echo esc_html($this->key); ?>">
        <div id="eskimo-social-wrapper">
            <h1 class="eskimo-social-title"><span><span class="dashicons dashicons-twitter"></span> <?php echo esc_html( get_admin_page_title() ); ?></span></h1>
            <p class="eskimo-social-subitle"><?php esc_html_e( 'These icons will be displayed in the sidebar.', 'eskimo' ); ?></p>
                <?php cmb2_metabox_form( $this->metabox_id, $this->key ); ?>
            <div id="eskimo-delete-social">
                <form action="admin.php?page=eskimosocial_options" method="post">
                <input id="isg_delete_icons" name="isg_delete_icons" type="submit" onclick="return confirm('<?php esc_html_e( 'Are you sure you want to delete all icons?', 'eskimo') ?>')" class="button" value="<?php esc_html_e( 'Reset', 'eskimo') ?>" />
                </form>
                </div>
            <?php
            if (isset($_POST["isg_delete_icons"])) {
                echo "<meta http-equiv='refresh' content='0'>";
                delete_option("eskimosocial_options");
            }
            ?>
        </div>
    </div>
    <?php
	}

	function eskimo_add_social_page_metabox() {
        $prefix = 'eskimo';

		$cmb = new_cmb2_box( array(
			'id'         => $this->metabox_id,
			'hookup'     => false,
			'cmb_styles' => true,
			'show_on'    => array(
				// These are important, don't remove
				'key'   => 'options-page',
				'value' => array( $this->key, )
			),
		) );
        
        $cmb->add_field(
            array(
            'desc' => esc_attr__( 'Open links in a new tab', 'eskimo'),
            'id' => $prefix . 'socialiconstab',
            'type' => 'checkbox'
            )
        );

        $cmb->add_field(
            array(
            'id' => $prefix . 'socialicons',
            'type' => 'group',
            'options' => array(
                'group_title'   => esc_html__( 'Icon {#}', 'eskimo' ),
                'add_button' => esc_html__( 'Add Another Icon', 'eskimo' ),
                'remove_button' => esc_html__( 'Remove Icon', 'eskimo' ),
                'sortable' => true,
                'closed'     => true,
            ),
            'fields' => array(
				array(
                    'name' => esc_html__( 'Select Icon:', 'eskimo'),
                    'id' => $prefix . 'iconimg',
                    'desc' => esc_html__( 'Select an icon or add a Font Awesome icon name to the following custom icon field', 'eskimo'),
                    'type' => 'select',
                    'options' => array(
                        'facebook-f' => esc_html__( 'Facebook', 'eskimo' ),
                        'twitter' => esc_html__( 'Twitter', 'eskimo' ),
                        'google-plus' => esc_html__( 'Google +', 'eskimo' ),
                        'google' => esc_html__( 'Google', 'eskimo' ),
                        'linkedin' => esc_html__( 'Linkedin', 'eskimo' ),
                        'instagram' => esc_html__( 'Instagram', 'eskimo' ),
                        'vimeo' => esc_html__( 'Vimeo', 'eskimo' ),
                        'youtube' => esc_html__( 'You Tube', 'eskimo' ),
                        'apple' => esc_html__( 'Apple', 'eskimo' ),
                        'android' => esc_html__( 'Android', 'eskimo' ),
                        'dribbble' => esc_html__( 'Dribbble', 'eskimo' ),
                        'flickr' => esc_html__( 'Flickr', 'eskimo' ),
                        'pinterest' => esc_html__( 'Pinterest', 'eskimo' ),
                        'vk' => esc_html__( 'VK', 'eskimo' ),
                        'codepen' => esc_html__( 'Codepen', 'eskimo' ),
                        'snapchat-ghost' => esc_html__( 'Snapchat', 'eskimo' ),
                        'delicious' => esc_html__( 'Delicious', 'eskimo' ),
                        'github' => esc_html__( 'Github', 'eskimo' ),
                        'reddit-alien' => esc_html__( 'Reddit', 'eskimo' ),
                        'tumblr' => esc_html__( 'Tumblr', 'eskimo' ),     
                        'twitch' => esc_html__( 'Twitch', 'eskimo' ),
                        'tripadvisor' => esc_html__( 'Trip Advisor', 'eskimo' ),
                        'vine' => esc_html__( 'Vine', 'eskimo' ),
                        'foursquare' => esc_html__( 'Foursquare', 'eskimo' ),
                        'lastfm' => esc_html__( 'Lastfm', 'eskimo' ),
                        'soundcloud' => esc_html__( 'Soundcloud', 'eskimo' ),
                        'deviantart' => esc_html__( 'Deviantart', 'eskimo' ),
                        'odnoklassniki' => esc_html__( 'Odnoklassniki', 'eskimo' ),
                        'spotify' => esc_html__( 'Spotify', 'eskimo' ),
                        'xing' => esc_html__( 'Xing', 'eskimo' ),
                        'amazon' => esc_html__( 'Amazon', 'eskimo' ),
                        'digg' => esc_html__( 'Digg', 'eskimo' ),
                        'etsy' => esc_html__( 'Etsy', 'eskimo' ),
                        'imdb' => esc_html__( 'Imdb', 'eskimo' ),
                        'behance' => esc_html__( 'Behance', 'eskimo' ),
                        'slack' => esc_html__( 'Slack', 'eskimo' ),
                    ),
                ),
                array(
                    'name' => esc_html__( 'Destination url:', 'eskimo'),
                    'desc' => esc_html__( 'Example; http://www.egemenerd.com', 'eskimo'),
                    'id' => $prefix . 'iconlink',
                    'type' => 'text_url'
                ),
            ),
        ));

	}

	public function __get( $field ) {
		if ( in_array( $field, array( 'key', 'metabox_id', 'title', 'options_page' ), true ) ) {
			return $this->{$field};
		}

		throw new Exception( 'Invalid property: ' . $field );
	}

}

function eskimosocial_admin() {
	static $object = null;
	if ( is_null( $object ) ) {
		$object = new eskimosocial_Admin();
		$object->hooks();
	}

	return $object;
}

function eskimosocial_get_option( $key = '' ) {
	return cmb2_get_option( eskimosocial_admin()->key, $key );
}

eskimosocial_admin();
?>