<?php get_header(); ?>
<?php
$eskimo_search_query = get_search_query();
$eskimo_archive_page_layout = esc_attr(get_theme_mod('eskimo_archive_page_layout', '2column'));
?>
<div class="eskimo-page-title">
    <h1>
        <span>
            <?php
            if ( have_posts() ) {
                global $wp_query;
                $eskimo_post_count = $wp_query->found_posts;
                echo esc_html($eskimo_post_count) . ' ';
                if ($eskimo_post_count > 1) {
                    echo esc_html__( 'Results Found', 'eskimo' );
                }
                else {
                    echo esc_html__( 'Result Found', 'eskimo' );
                }
            }
            else {
                echo esc_html__( 'No Results Found', 'eskimo' );
            }
            ?>
        </span>
    </h1>
    <?php if (!empty($eskimo_search_query)) { ?>
    <p class="eskimo-page-subtitle">
        <?php echo esc_html__( 'Search Results for:', 'eskimo' ); ?> <?php echo esc_html($eskimo_search_query); ?>
    </p>
    <?php } ?>
</div>
<div class="eskimo-search-page-form">
    <?php get_template_part( 'templates/searchlg', 'template'); ?>
</div>
<?php if ($eskimo_archive_page_layout == 'fullwidth') { ?>
<?php while(have_posts()) : the_post(); ?>
<?php get_template_part( 'templates/post', 'template'); ?>
<?php endwhile; ?>
<?php } elseif ($eskimo_archive_page_layout == '3column') { ?>
<div class="eskimo-masonry-grid small-masonry">
    <div class="eskimo-three-columns" data-columns>
        <?php while(have_posts()) : the_post(); ?>
        <?php get_template_part( 'templates/xsmasonry', 'template'); ?>
        <?php endwhile; ?>
    </div>
</div>
<?php } else { ?>
<div class="eskimo-masonry-grid">
    <div class="eskimo-two-columns" data-columns>
        <?php while(have_posts()) : the_post(); ?>
        <?php get_template_part( 'templates/masonry', 'template'); ?>
        <?php endwhile; ?>
    </div>
</div>
<?php } ?>
<?php if ( (get_next_posts_link()) || (get_previous_posts_link())) : ?>
<div class="eskimo-pager">
    <?php eskimo_pagination(); ?>
</div>
<div class="clearfix"></div>
<?php endif; ?>
<?php get_footer(); ?>