<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>
<div class="clearfix"></div>
	<section class="related products">

    <?php
		$heading = apply_filters( 'woocommerce_product_related_products_heading', esc_html__( 'Related products', 'eskimo' ) );

		if ( $heading ) :
			?>
			<h2 class="eskimo-title-with-border woo-related-title"><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>
        
        <div class="eskimo-masonry-grid small-masonry">
            <div class="eskimo-three-columns" data-columns>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );
                ?>
                <div <?php post_class(); ?>>
                    <div class="card-masonry card-small">
                        <div class="card">
                            <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                           <?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
                            </a>
                            <div class="card-border">
                                <?php  do_action( 'woocommerce_before_shop_loop_item' );  ?>
                                <div class="card-body">
                                    <?php do_action( 'woocommerce_shop_loop_item_title' ); ?>
                                    <?php do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
                                    <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
			<?php endforeach; ?>
            </div>
        </div>

	</section>

<?php endif;

wp_reset_postdata();
?>