<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $upsells ) : ?>
<div class="clearfix"></div>
	<section class="up-sells upsells products">

		<h2 class="eskimo-title-with-border woo-related-title">
            <span><?php esc_html_e( 'You may also like&hellip;', 'eskimo' ) ?></span>
        </h2>

		<div class="eskimo-masonry-grid small-masonry">
            <div class="eskimo-three-columns" data-columns>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );
                ?>
                <div <?php post_class(); ?>>
                    <div class="card-masonry card-small">
                        <div class="card">
                            <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                           <?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
                            </a>
                            <div class="card-border">
                                <?php  do_action( 'woocommerce_before_shop_loop_item' );  ?>
                                <div class="card-body">
                                    <?php do_action( 'woocommerce_shop_loop_item_title' ); ?>
                                    <?php do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
                                    <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
			<?php endforeach; ?>
            </div>
        </div>

	</section>

<?php endif;

wp_reset_postdata();
?>